Subject: bug#26695: closed (Re: bug#26695: openssh password-authentication? should be #f by default)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 29 Aug 2023 03:26:03 +0000

Your bug report

#26695: openssh password-authentication? should be #f by default

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
26695: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=26695
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#26695: openssh password-authentication? should be #f by default
From: Maxim Cournoyer <[email-masked]>
To: Leo Famulari <[email-masked]>
Cc: Christopher Allan Webber <[email-masked]>, [email-masked]
Date: Mon, 28 Aug 2023 23:24:46 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Leo Famulari <[email-masked]> writes:

> On Fri, Apr 28, 2017 at 09:37:13AM -0500, Christopher Allan Webber wrote:
>> Our default permits password authentication for the openssh service (and
>> the others it seems) by default in Guix.  This is somewhat dangerous
>> because this is a much easier to break in this way, and some users might
>> not assume the default is reasonably safe.  If users really want
>> password-authentication, they should turn it on explicitly.
>
> The upstream default is to allow password authentication (see
> sshdconfig(5)).
>
> With the current GuixSD defaults, my understanding is that nobody will
> be able to login remotely to a new GuixSD system with the default
> openssh-service, unless they make the effort to insert the user's
> password in their GuixSD declaration. Remote root login and empty
> password login is disabled by default.
>
> So the current situation seems safe to me. Please let us know if you see
> a hole.

I agree with your assessment.  I think there's probably more hurt than
benefit in diverging from upstream's choice of defaults here.

I'm thus closing this old forgotten report.

-- 
Thanks,
Maxim

Subject: openssh password-authentication? should be #f by default
From: Christopher Allan Webber <[email-masked]>
To: [email-masked]
Date: Fri, 28 Apr 2017 09:37:13 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Our default permits password authentication for the openssh service (and
the others it seems) by default in Guix.  This is somewhat dangerous
because this is a much easier to break in this way, and some users might
not assume the default is reasonably safe.  If users really want
password-authentication, they should turn it on explicitly.